;+
; NAME: 
;       INIT_VAR
;
; PURPOSE: 
;       Initialize the C++ environment variable.
;
; CALLING:
;      init_var
;
; HISTORY:
;	Written: Sandrine Pires Sept. 2013
;-
;---------------------------------------------------------
pro init_var, bool=bool

if not keyword_set(bool) then bool = 0 

os = !version.os_name
if string(os) eq 'Mac OS X' then begin
  print, 'Mac OS X'
  b = !version.arch
  if string(b) eq 'x86_64' then begin
    setenv, 'EXEC=./Exec_C++/MacOSX_Intel_64'
    print, 'in 64 bits'
  endif else begin
    setenv, 'EXEC=./Exec_C++/MacOSX_Intel_32'
    print, 'in 32 bits'
  endelse
endif


if string(os) eq 'linux' then begin
  print, 'Linux'
  b = !version.arch
  if string(b) eq 'x86_64' then begin
    setenv, 'EXEC=./Exec_C++/Linux_64'
    print, 'in 64 bits'
  endif else begin
    setenv, 'EXEC=./Exec_C++/Linux_32'
    print, 'in 32 bits'
  endelse
endif



if bool eq 1 then begin
  print, 'What is Platform ?' 
  print, '    1- Linux 32 bits'
  print, '    2- Linux 64 bits'
  print, '    3- Macintosh Intel 32 bits'
  print, '    4- Macintosh Intel 64 bits'

  read, num

  case num of 
    1 : setenv, 'EXEC=./Exec_C++/Linux_32'
    2 : setenv, 'EXEC=./Exec_C++/Linux_64'
    3 : setenv, 'EXEC=./Exec_C++/MacOSX_Intel_32'
    4 : setenv, 'EXEC=./Exec_C++/MacOSX_Intel_64'
  endcase
endif

end
