;+
; NAME: 
;       SIZE_GAP
;
; PURPOSE: 
;       Search the size of the larger gap in a 1d signal
;
; CALLING:
;       size_gap, in_data, max
;
; INPUTS: 
;       in_data --- incomplete 1d data 
;	
; OUTPUT: 
;       size max of the gaps			    
;
; HISTORY:
;	Written: S. Pires Nov. 2012
;-
;---------------------------------------------------------
function size_gap, in_data

mask = (in_data eq 0)
	
index = where(in_data ne 0)	
nd = n_elements(index)
	
gap_size = index(1:nd-1) - index(0:nd-2)

return, max(gap_size)	
end
	
